namespace BastaAdministrator.DataProvider
{
    using System.Collections.Generic;
    using System.Runtime.Remoting.Messaging;
    using System.Threading;
    using System.Threading.Tasks;

    public class SessionProvider:ISessionProvider
    {
        public Task<List<string>> LoadSessionsAsync()
        {
            var task = Task.Factory.StartNew(
                () =>
                {
                    var list = new List<string>();
                    for (int i = 0; i < 10; i++)
                    {
                        list.Add("Session Nr. " + i);
                        Thread.Sleep(300);
                    }
                    return list;
                });
            return task;
        }
    }
}